Get a repository's weekly bug scan
GET
Returns whether the weekly bug scan is on or paused, its next scheduled time, the last scan, the per-scan limit, whether a scan is queued or running, and what will pay for the next scan (funding, an open string: a connected subscription, your own model key, the account's free scan, or credits). 404 for a repository that is not yours.
CustomerApiKeyheader
AuthorizationBearer <API Key>Customer API key sent as a bearer token
repository_id*stringFormat
uuidcustomer_id?|nullRequest fulfilled, document follows
application/json- response
enabled*booleanfree_scan_state?stringDefault
"used"free_scan_usd*numberfull_subscription?string|nullfull_until?|nullfunding?stringDefault
"credits"last_scan?|nulllimit_usd*numbernext_run_at?|nullpaused?booleanDefault
falsepaused_no_credits?booleanDefault
falsescanning?booleanDefault
falseschedule_id?|nullcurl -X GET 'https://api.syndai.ai/api/v1/external/coding/repositories/497f6eca-6276-4993-bfeb-53cbbbba6f08/bug-scan'Example Response
{ "enabled": true, "free_scan_state": "used", "free_scan_usd": 0, "full_subscription": "string", "full_until": "2019-08-24T14:15:22Z", "funding": "credits", "last_scan": { "app": false, "app_check": "string", "charged_usd": 0, "completed_at": "2019-08-24T14:15:22Z", "files_planned": 0, "first_scan_areas": 0, "funded_by": "string", "groups_planned": 0, "limit_usd": 0, "over_limit_groups": 0, "run_id": "dded282c-8ebd-44cf-8ba5-9a234973d1ec", "stats": {}, "status": "string", "stopped_at_ceiling": false, "top_up_usd": 0, "waiting_on": "string" }, "limit_usd": 0, "next_run_at": "2019-08-24T14:15:22Z", "paused": false, "paused_no_credits": false, "scanning": false, "schedule_id": "8929bb67-0da1-406c-99d2-5447376a4f58"}